Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 10/11/2018 in all areas

  1. Yeah, there is your problem. 256x256 is horrible. You can always adjust the image before bringing it into AutoCAD.
    1 point
  2. Attach an example dwg file that you have, and what you want to receive. This will facilitate the understanding of the purpose of the work.
    1 point
  3. This was somewhere in the back of my mind (way way back) but don't think I ever created blocks with the explicit option of not allowed to explode. Mostly because I hate to have or to put restrictions on people. But maybe its not a bad idea for some people to protect them against themselves Thanx for the info bro
    1 point
  4. Maybe this helps: (defun KGA_Geom_VectorScale (vec scl) (mapcar '(lambda (a) (* a (float scl))) vec) ) (defun KGA_Geom_VectorUnit (vec / mag) (if (/= 0.0 (setq mag (distance '(0.0 0.0 0.0) vec))) (KGA_Geom_VectorScale vec (/ 1.0 mag)) ) ) ; (CurveSmoothConnect_P (car (entsel)) (car (entsel))) (defun CurveSmoothConnect_P (objA objB / fuzz staA endA staB endB vecStaA vecEndA vecStaB vecEndB) (setq fuzz 1e-3) (setq staA (vlax-curve-getstartpoint objA)) (setq endA (vlax-curve-getendpoint objA)) (setq staB (vlax-curve-getstartpoint objB)) (setq endB (vlax-curve-getendpoint objB)) (setq vecStaA (KGA_Geom_VectorUnit (vlax-curve-getfirstderiv objA (vlax-curve-getstartparam objA)))) (setq vecEndA (KGA_Geom_VectorUnit (vlax-curve-getfirstderiv objA (vlax-curve-getendparam objA)))) (setq vecStaB (KGA_Geom_VectorUnit (vlax-curve-getfirstderiv objB (vlax-curve-getstartparam objB)))) (setq vecEndB (KGA_Geom_VectorUnit (vlax-curve-getfirstderiv objB (vlax-curve-getendparam objB)))) (or (and (equal staA endB fuzz) (equal vecStaA vecEndB fuzz) ) (and (equal staA staB fuzz) (equal vecStaA (mapcar '* '(-1.0 -1.0 -1.0) vecStaB) fuzz) ) (and (equal endA staB fuzz) (equal vecEndA vecStaB fuzz) ) (and (equal endA endB fuzz) (equal vecEndA (mapcar '* '(-1.0 -1.0 -1.0) vecEndB) fuzz) ) ) )
    1 point
  5. You could use a dynamic block with a mask, then you don't need to break the walls.
    1 point
  6. Serach for door lisp I am sure there are some free ones out there, mine takes into account intelligence about the wall its inserting into.
    1 point
  7. If your doors are blocks just add that linework to the block definition on a different layer. Never mind just read your post more closely.
    1 point
  8. Agree with Marko If I draw a door I draw all of it including the door frame but I have a lisp to do it, it asks the relevant questions how far from edge size of door left right in/out and all done. It copyrighted.
    1 point
  9. Also, be sure to note that the precision is 16 digits, not decimal places, as the following code demonstrates: (defun test ( n / i a b ) (setq i -1 a "") (while (/= (strlen (setq b (rtos n 2 (setq i (1+ i))))) (strlen a) ) (print (setq a b)) ) (princ (strcat "\n\nMaximum Precision: " (itoa (- (strlen b) (cond ( (vl-string-position 46 b) ) ( (1- (strlen b)) )) 1) ) " d.p." ) ) (princ) ) _$ (test 1.12345678911234567891) ;; 20 d.p, 21 digits "1" "1.1" "1.12" "1.123" "1.1235" "1.12346" "1.123457" "1.1234568" "1.12345679" "1.123456789" "1.1234567891" "1.12345678911" "1.123456789112" "1.1234567891123" "1.12345678911235" "1.123456789112346" Maximum Precision: 15 d.p. _$ (test 123.12345678911234567891) ;; 20 d.p, 23 digits "123" "123.1" "123.12" "123.123" "123.1235" "123.12346" "123.123457" "123.1234568" "123.12345679" "123.123456789" "123.1234567891" "123.12345678911" "123.123456789112" "123.1234567891123" Maximum Precision: 13 d.p. _$ (test 1234567891.12345678911234567891) ;; 20 d.p, 30 digits "1234567891" "1234567891.1" "1234567891.12" "1234567891.123" "1234567891.1235" "1234567891.12346" "1234567891.123457" Maximum Precision: 6 d.p. Hence for a Real with integer part of length 16 digits: _$ (test 1234567891123456.12345678911234567891) ;; 20 d.p, 36 digits "1234567891123456" Maximum Precision: 0 d.p.
    1 point
×
×
  • Create New...